## $Id: utils.py 10169 2013-05-10 13:57:57Z henrik $
##
## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""Customize general helper utilities for Kofa.
"""
from kofacustom.nigeria.utils.utils import NigeriaKofaUtils

class CustomKofaUtils(NigeriaKofaUtils):
    """A collection of methods subject to customization.
    """

    PREFERRED_LANGUAGES_DICT = {
        }

    APP_CATS_DICT = {
        'basic': 'PUTME, PUDE, PCE, PRENCE',
        'no': 'No Application',
        'pg': 'Postgraduate',
        'pg_ft': 'Postgraduate Full-Time',
        'pg_pt': 'Postgraduate Part-Time',
        'dp': 'Diploma',
        'sandwich': 'Sandwich',
        'cest': 'Part-Time, Diploma, Certificate',
        }

    STUDY_MODES_DICT = {
        'ume_ft': 'UME Full Time',
        'ug_ft': 'Undergraduate Full Time',
        'ug_pt': 'Undergraduate Part Time',
        'dp_pt': 'Diploma Part Time',
        'ct_ft': 'Certificate Full Time',
        'dp_ft': 'Diploma Full Time',
        'de_ft': 'Direct Entry Full Time',
        'de_pt': 'Direct Entry Part Time',
        'nd_ft': 'National Diploma Full Time',
        'nd_pt': 'National Diploma Part Time',
        'pg_ft': 'Postgraduate Full Time',
        'pg_pt': 'Postgraduate Part Time',
        'special_pg_pt': 'Special Postgraduate Part Time',
        'special_pg_ft': 'Special Postgraduate Full Time',
        'pg_sw': 'Postgraduate Sandwich',
        'ug_sw': 'Undergraduate Sandwich',
        'de_sw': 'Direct Entry Sandwich',
        'ct_pt': 'Certificate Part Time',
        'no': 'no application',
        }

    PAYMENT_CATEGORIES = {
        'schoolfee': 'School Fee',
        'schoolfee_1': 'School Fee 1st instalment',
        'schoolfee_2': 'School Fee 2nd instalment',
        }

    SELECTABLE_PAYMENT_CATEGORIES = {
        'schoolfee': 'School Fee',
        'schoolfee_1': 'School Fee 1st instalment',
        'schoolfee_2': 'School Fee 2nd instalment',
        }